System Requirements

The following system requirements apply to the CMS CONTENS 5:

 

Application Server

  • Adobe ColdFusion 10, 11, 2016 SP1
  • Lucee 4.5, 5, 5.1  

Databases

  • MySQL 5.6 with DB (datetime precision), 5.7
  • MariaDB 10.1, 10.2
  • PostGreSQL 9.3, 9.4, 9.5
  • Microsoft SQL-Server 2012, 2014, 2016
  • Oracle 12

Browser

  • Microsoft Internet Explorer 11, (Edge) 13 – 14
  • Firefox 34 – 50
  • Chrome 36 – 55

Webserver

  • Apache 2.4.10 – 2.4.20
  • Microsoft IIS 7 – 10
  • Nginx 1.6 – 1.10  

Full-text search

  • Lucene 6.4.1
  • ElasticSearch 5.0.0 – 5.2.0

Image Editing

  • Imagemagick 6.5.*, 7.0.1 – 7.0.4
  • GraphicsMagick 1.3.21 – 1.3.25  

Caching

  • Redis
  • Infinispan
  • EHCache
  • MongoDB